MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028769Open CASCADE[OCCT] OCCT:Configurationpublic2017-05-22 15:282017-07-18 07:32
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0*Fixed in Version 
Summary0028769: Unification of msvc.bat files.
DescriptionContents of msvc.bat files in OCCT, Products , samples and demo is almost identical and differs name of launched project file only.
Contents is
1. Call of OCCT env.bat
2. Definition of Visual Studio project file.
3. Parser of Visual Studio number
4. Procedure of Visual Studio project launch with corresponding name

It is suggested :
1. To move parser of Visual Studio platform to OCCT env.bat. So it is necessary to update env.bat.in and env.bat of adm/template folder.
2. To call procedure of Visual Studio project launch from root msvc.bat of OCCT.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0028920reviewedbugmaster Samples - fix msvc.bat for building samples without CMake 
child of 0028701verifiedbugmaster Configuration - add support of VS 2017 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0066893)
git (administrator)
2017-05-30 17:28

Branch CR28769 has been created by apn.

SHA-1: b9716eef1ad7d0fae2d0e05ed435206f7f4386cb


Detailed log of new commits:

Author: apn
Date: Tue May 30 17:27:41 2017 +0300

    0028769: Unification of msvc.bat files.
    
    Modify mfc samples
(0066894)
git (administrator)
2017-05-30 17:30

Branch CR28769 has been updated forcibly by apn.

SHA-1: efcbd0d6b4217cf3fc50faad0a74c96b7fda51ed
(0067113)
git (administrator)
2017-06-06 12:12

Branch CR28769 has been updated by apn.

SHA-1: b3c81dfdc5dcfc8a26dece5292ad44e078f89bb3


Detailed log of new commits:

Author: apn
Date: Tue Jun 6 12:12:25 2017 +0300

    Create general vcxproj files for all mfc samples and add devenv upgrade to msvc.bat

(0067115)
git (administrator)
2017-06-06 12:15

Branch CR28769 has been updated forcibly by apn.

SHA-1: fdc2473c076eebca6cb7a8624a4d9bb951637063
(0067118)
kgv (developer)
2017-06-06 14:03

-    <PlatformToolset>v120</PlatformToolset>
...
-  start "%DevEnvDir%\devenv.exe" "%PRJFILE%"
+  start "%DevEnvDir%\devenv.exe" "%PRJFILE%" /upgrade

I'm not sure it is a good idea forcing upgrade at each start-up - this will produce irrelevant untracked modifications in git repository each time working with the samples. Passing PlatformToolset a value depending on the VS might be a better solution.
(0067160)
git (administrator)
2017-06-06 21:06

Branch CR28769 has been updated by apn.

SHA-1: 95cfd7a3b4ac0f36a1bf383dbf6d59659afcc068


Detailed log of new commits:

Author: apn
Date: Tue Jun 6 21:06:14 2017 +0300

    Remove force upgrade from msvc.bat in mfc samples, add PlatformToolset.
    Modify qt samples.

(0067208)
git (administrator)
2017-06-07 19:45

Branch CR28769 has been updated forcibly by apn.

SHA-1: 58a46d830119d691eccc225cbc2c976942a5b56b
(0067618)
ski (developer)
2017-06-22 18:38

Dear kgv,

please review occt branch CR28769 and products branch CR28769.
(0067629)
kgv (developer)
2017-06-23 10:53

Patch is not prepared for integration - it is not rebased and not squashed.

+rem VCLIB - name of folder contining binaries (same as VCVER except without third version in number)


contining

     <CharacterSet>Unicode</CharacterSet>
+       <PlatformToolset>$(PlatformTS)</PlatformToolset>
...
+    <CharacterSet>Unicode</CharacterSet>
+       <PlatformToolset>$(PlatformTS)</PlatformToolset>

Inconsistent indentation.

diff --git a/samples/mfc/standard/01_Geometry/adm/win/vc10/Geometry.vcxproj.filters b/samples/mfc/standard/01_Geometry/adm/win/vc/Geometry.vcxproj.filters


Maybe it is reasonable moving project files back to vc10 folder (instead of "vc"), since vc10 specifies exactly project file format (vc9 and earlier used different format) and there is no guarantee that newer VS version will not introduce completely new incompatible format.

+  set "PlatformTS=v141"

It might be better defining OCC variables having common prefix.
CSF_ is usually used for global options and VC for msvc-specific states - so probably something like VCPlatformToolSet.
(0067762)
git (administrator)
2017-06-28 11:33

Branch CR28769 has been updated forcibly by apn.

SHA-1: b3632190b7037e3a24fc2c5b4d859fd5522de33f
(0067785)
apn (administrator)
2017-06-28 18:11

Inconsistent indentations were corrected. Project files in mfc samples were moved back to vc10 folder. Variable PlatformTS was renamed to VCPlatformToolSet.

Dear kgv, could you please review occt and products branches CR28769.
(0067789)
kgv (developer)
2017-06-28 21:35

Please test the patch.
(0067812)
git (administrator)
2017-06-29 16:16

Branch CR28769_27398 has been created by apn.

SHA-1: cd63956ee22aab0f20ebf39ee8d71eb907a9ab1c


Detailed log of new commits:

Author: nds
Date: Thu Jan 26 07:59:42 2017 +0300

    0027398: Integrate Qt Browser Widget to Open CASCADE Technology
    
    The following implementation has been made:
    - CMake procedure is extended to compile Qt tools. This is optional and is handled by USE_QT_TOOLS option(OFF by default)
    - It is possible to build Qt tools using Qt5 or Qt4, it is settled with USE_QT4 option.
    - Sample of DFBrowser tool is available in samples/tools/TInspectorEXE. It is build with tools, executable is placed in binaries. To start the sample, use dfbrowser.bat command.
    - DFBrowser tool may be started from DRAW
(0068030)
git (administrator)
2017-07-06 11:09

Branch CR28769_27398 has been updated forcibly by apn.

SHA-1: 375181926beed06a39ab64204cb5b559eb8be5e8
(0068036)
git (administrator)
2017-07-06 12:46

Branch CR28769 has been updated forcibly by apn.

SHA-1: 87c955991b855292db8ce00e2160e7aacde22ae6
(0068037)
git (administrator)
2017-07-06 12:56

Branch CR28769_27398 has been updated by apn.

SHA-1: 1eb425ebb5d5d3db9951ab673e4b757ada7760a8


Detailed log of new commits:

Author: apn
Date: Thu Jul 6 12:56:28 2017 +0300

    Corrections for samples compilation on vc10

(0068209)
git (administrator)
2017-07-12 12:40

Branch CR28769 has been updated forcibly by apn.

SHA-1: 110afc0f72101f56c2a1fb5a5b761a3effe91335
(0068245)
git (administrator)
2017-07-13 11:24

Branch CR28769 has been updated by apn.

SHA-1: 11e73d9e948c7aa05d83d7d7e613bc7f70793d05


Detailed log of new commits:

Author: apn
Date: Thu Jul 13 11:23:56 2017 +0300

    Correction msvc.bat and msvc_D3D.bat in CSharp sample

(0068341)
git (administrator)
2017-07-17 10:05

Branch CR28769 has been deleted by kgv.

SHA-1: 11e73d9e948c7aa05d83d7d7e613bc7f70793d05
(0068342)
git (administrator)
2017-07-17 10:05

Branch CR28769_27398 has been deleted by kgv.

SHA-1: 1eb425ebb5d5d3db9951ab673e4b757ada7760a8

- Related Changesets
occt: master da67ffb7
Timestamp: 2017-05-30 14:27:41
Author: apn
Committer: bugmaster
Details ] Diff ]
0028769: Unification of msvc.bat files.

Modify mfc and qt samples for supporting VS 2017.
Create general vcxproj files for all mfc samples.

Correction msvc.bat and msvc_D3D.bat in CSharp sample
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc10/Viewer3d.vcxproj Diff ] File ]
rm - samples/mfc/standard/02_Modeling/adm/win/vc12/Modeling.vcxproj Diff ] File ]
rm - samples/mfc/standard/07_Triangulation/adm/win/vc11/Triangulation.vcxproj Diff ] File ]
rm - samples/mfc/standard/03_Viewer2d/adm/win/vc11/Viewer2d.vcxproj Diff ] File ]
rm - samples/mfc/standard/06_Ocaf/adm/win/vc11/Ocaf.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/06_Ocaf/adm/win/vc12/Ocaf.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/06_Ocaf/adm/win/vc14/Ocaf.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc10/Animation.vcxproj Diff ] File ]
rm - samples/mfc/standard/10_Convert/adm/win/vc11/Convert.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/10_Convert/adm/win/vc12/Convert.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/10_Convert/adm/win/vc14/Convert.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc10/Geometry.vcxproj Diff ] File ]
rm - samples/mfc/standard/05_ImportExport/adm/win/vc11/ImportExport.vcxproj Diff ] File ]
rm - samples/mfc/standard/02_Modeling/adm/win/vc11/Modeling.vcxproj Diff ] File ]
rm - samples/mfc/standard/09_Animation/adm/win/vc12/Animation.vcxproj Diff ] File ]
rm - samples/mfc/standard/04_Viewer3d/adm/win/vc12/Viewer3d.vcxproj Diff ] File ]
rm - samples/mfc/standard/09_Animation/adm/win/vc11/Animation.vcxproj Diff ] File ]
rm - samples/mfc/standard/02_Modeling/adm/win/vc11/Modeling.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/02_Modeling/adm/win/vc12/Modeling.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/02_Modeling/adm/win/vc14/Modeling.vcxproj.filters Diff ] File ]
mod - samples/qt/IESample/msvc.bat Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc10/ImportExport.vcxproj Diff ] File ]
rm - samples/mfc/standard/01_Geometry/adm/win/vc12/Geometry.vcxproj Diff ] File ]
rm - samples/mfc/standard/02_Modeling/adm/win/vc14/Modeling.vcxproj Diff ] File ]
rm - samples/mfc/standard/04_Viewer3d/adm/win/vc11/Viewer3d.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/04_Viewer3d/adm/win/vc12/Viewer3d.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/04_Viewer3d/adm/win/vc14/Viewer3d.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/04_Viewer3d/adm/win/vc14/Viewer3d.vcxproj Diff ] File ]
rm - samples/mfc/standard/mfcsample/adm/win/vc11/mfcsample.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/mfcsample/adm/win/vc12/mfcsample.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/mfcsample/adm/win/vc14/mfcsample.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/10_Convert/adm/win/vc11/Convert.vcxproj Diff ] File ]
mod - samples/mfc/standard/All-vc14.sln Diff ] File ]
rm - samples/mfc/standard/mfcsample/adm/win/vc12/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/All-vc11.sln Diff ] File ]
rm - samples/mfc/standard/06_Ocaf/adm/win/vc11/Ocaf.vcxproj Diff ] File ]
rm - samples/mfc/standard/05_ImportExport/adm/win/vc14/ImportExport.vcxproj Diff ] File ]
mod - samples/qt/FuncDemo/genproj.bat Diff ] File ]
mod - samples/CSharp/msvc_D3D.bat Diff ] File ]
rm - samples/mfc/standard/03_Viewer2d/adm/win/vc11/Viewer2d.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/03_Viewer2d/adm/win/vc12/Viewer2d.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/03_Viewer2d/adm/win/vc14/Viewer2d.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/mfcsample/adm/win/vc11/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc10/Convert.vcxproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc10/Modeling.vcxproj Diff ] File ]
rm - samples/mfc/standard/09_Animation/adm/win/vc11/Animation.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/09_Animation/adm/win/vc12/Animation.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/09_Animation/adm/win/vc14/Animation.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/07_Triangulation/adm/win/vc14/Triangulation.vcxproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc10/HLR.vcxproj Diff ] File ]
rm - samples/mfc/standard/08_HLR/adm/win/vc14/HLR.vcxproj Diff ] File ]
mod - adm/templates/env.samples.bat.in Diff ] File ]
rm - samples/mfc/standard/07_Triangulation/adm/win/vc11/Triangulation.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/07_Triangulation/adm/win/vc12/Triangulation.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/07_Triangulation/adm/win/vc14/Triangulation.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/04_Viewer3d/adm/win/vc11/Viewer3d.vcxproj Diff ] File ]
rm - samples/mfc/standard/09_Animation/adm/win/vc14/Animation.vcxproj Diff ] File ]
rm - samples/mfc/standard/07_Triangulation/adm/win/vc12/Triangulation.vcxproj Diff ] File ]
rm - samples/mfc/standard/10_Convert/adm/win/vc12/Convert.vcxproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc10/Triangulation.vcxproj Diff ] File ]
mod - samples/qt/FuncDemo/msvc.bat Diff ] File ]
rm - samples/mfc/standard/05_ImportExport/adm/win/vc11/ImportExport.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/05_ImportExport/adm/win/vc12/ImportExport.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/05_ImportExport/adm/win/vc14/ImportExport.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/01_Geometry/adm/win/vc11/Geometry.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/01_Geometry/adm/win/vc12/Geometry.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/01_Geometry/adm/win/vc14/Geometry.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/01_Geometry/adm/win/vc11/Geometry.vcxproj Diff ] File ]
rm - samples/mfc/standard/05_ImportExport/adm/win/vc12/ImportExport.vcxproj Diff ] File ]
mod - samples/mfc/standard/All-vc12.sln Diff ] File ]
add - samples/mfc/standard/All-vc141.sln Diff ] File ]
mod - samples/mfc/standard/msvc.bat Diff ] File ]
rm - samples/mfc/standard/08_HLR/adm/win/vc12/HLR.vcxproj Diff ] File ]
rm - samples/mfc/standard/08_HLR/adm/win/vc11/HLR.vcxproj Diff ] File ]
rm - samples/mfc/standard/mfcsample/adm/win/vc14/mfcsample.vcxproj Diff ] File ]
mod - samples/qt/Tutorial/genproj.bat Diff ] File ]
rm - samples/mfc/standard/01_Geometry/adm/win/vc14/Geometry.vcxproj Diff ] File ]
rm - samples/mfc/standard/10_Convert/adm/win/vc14/Convert.vcxproj Diff ] File ]
mod - adm/templates/env.bat.in Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc10/Viewer2d.vcxproj Diff ] File ]
rm - samples/mfc/standard/06_Ocaf/adm/win/vc14/Ocaf.vcxproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc10/Ocaf.vcxproj Diff ] File ]
mod - samples/CSharp/msvc.bat Diff ] File ]
rm - samples/mfc/standard/08_HLR/adm/win/vc11/HLR.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/08_HLR/adm/win/vc12/HLR.vcxproj.filters Diff ] File ]
rm - samples/mfc/standard/08_HLR/adm/win/vc14/HLR.vcxproj.filters Diff ] File ]
mod - samples/qt/Tutorial/msvc.bat Diff ] File ]
rm - samples/mfc/standard/03_Viewer2d/adm/win/vc12/Viewer2d.vcxproj Diff ] File ]
mod - samples/qt/IESample/genproj.bat Diff ] File ]
rm - samples/mfc/standard/06_Ocaf/adm/win/vc12/Ocaf.vcxproj Diff ] File ]
rm - samples/mfc/standard/03_Viewer2d/adm/win/vc14/Viewer2d.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc10/mfcsample.vcxproj Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-22 15:28 bugmaster New Issue
2017-05-22 15:28 bugmaster Assigned To => apn
2017-05-22 15:28 bugmaster Assigned To apn => bugmaster
2017-05-22 15:28 bugmaster Assigned To bugmaster => apn
2017-05-22 15:28 bugmaster Relationship added child of 0028701
2017-05-30 17:28 git Note Added: 0066893
2017-05-30 17:30 git Note Added: 0066894
2017-06-06 12:12 git Note Added: 0067113
2017-06-06 12:15 git Note Added: 0067115
2017-06-06 14:03 kgv Note Added: 0067118
2017-06-06 21:06 git Note Added: 0067160
2017-06-07 19:45 git Note Added: 0067208
2017-06-22 18:36 ski Status new => assigned
2017-06-22 18:38 ski Note Added: 0067618
2017-06-22 18:38 ski Assigned To apn => kgv
2017-06-22 18:38 ski Status assigned => resolved
2017-06-22 18:38 ski Steps to Reproduce Updated View Revisions
2017-06-23 10:53 kgv Note Added: 0067629
2017-06-23 10:53 kgv Assigned To kgv => ski
2017-06-23 10:53 kgv Status resolved => assigned
2017-06-23 13:26 ski Assigned To ski => apn
2017-06-28 11:33 git Note Added: 0067762
2017-06-28 18:11 apn Note Added: 0067785
2017-06-28 18:11 apn Assigned To apn => kgv
2017-06-28 18:11 apn Status assigned => resolved
2017-06-28 21:35 kgv Note Added: 0067789
2017-06-28 21:35 kgv Assigned To kgv => bugmaster
2017-06-28 21:35 kgv Status resolved => reviewed
2017-06-29 16:16 git Note Added: 0067812
2017-07-06 11:09 git Note Added: 0068030
2017-07-06 12:46 git Note Added: 0068036
2017-07-06 12:56 git Note Added: 0068037
2017-07-12 12:40 git Note Added: 0068209
2017-07-13 11:24 git Note Added: 0068245
2017-07-13 15:14 apn Test case number => Not needed
2017-07-13 15:14 apn Status reviewed => tested
2017-07-14 13:55 bugmaster Changeset attached => occt master da67ffb7
2017-07-14 13:55 bugmaster Status tested => verified
2017-07-14 13:55 bugmaster Resolution open => fixed
2017-07-17 10:05 git Note Added: 0068341
2017-07-17 10:05 git Note Added: 0068342
2017-07-18 07:32 kgv Relationship added parent of 0028920


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker